<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;
use Illuminate\Http\Request;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     *
     * @param  Request  $request
     * @return string|null
     */
    protected function redirectTo($request): string
    {
        if (!$request->expectsJson()) {
            $path = $request->path();
            if (preg_match('~^admin.*~i', $path))
                    return route('admin.login');
            if (preg_match('~^comisiones.*~i', $path))
                    return route('comisiones.login');
            if (preg_match('~^ollas.*~i', $path))
                    return route('ollas.login');
            return route('login');
        }
        return '';
    }
}
